Zuviel Werbung? - > Hier kostenlos beim SPS-Forum registrieren

Results 1 to 8 of 8

Thread: Hochrüsten V15.0 Projekt auf V15.1 -> Fehlende TIA Openness Installation

  1. #1
    Join Date
    07.03.2017
    Posts
    4
    Danke
    0
    Erhielt 0 Danke für 0 Beiträge

    Default


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Servus beisammen.

    Hab mir kürzlich die V15.1 installiert (WinCC Advanced + Startdrive + Safety)

    Wollte nun im Zuge dessen ein vorhandenes Projekt (V15.0 Upd4) auf die V15.1 hochrüsten.

    Nachdem automatisch ein paar GSD´s installiert wurden kam anschließend die Meldung, dass zum Hochrüsten der "TIA Portal Openness Pilot V15" nicht installiert ist.
    Wenn ich jedoch die Installation von V15.0 starte wird mir die TIA V15 Openness als installiert angezeigt.
    Jedoch wird bei der installierten Software alles doppelt angezeigt (Bsp. Safety V15.0 und Safety V15.1) nur "TIA Openness" wird lediglich in V15.1 angezeigt.

    Hatte jemand schon mal das gleiche Problem und hat eventuell eine Lösung parat?

    Gruß
    Manney
    Reply With Quote Reply With Quote Hochrüsten V15.0 Projekt auf V15.1 -> Fehlende TIA Openness Installation  

  2. #2
    Join Date
    21.04.2017
    Posts
    24
    Danke
    0
    Erhielt 2 Danke für 2 Beiträge

    Default

    Da wird eine Pilotversion von TIA Portal Openness verlangt.

    Mal angenommen, dass die Anzeige richtig ist (also kein Bug vorliegt), dann ist es sehr unwahrscheinlich, dass dieses Projekt hochgerüstet werden kann. Denn Projekte aus Pilotversionen (oder solche die in Pilotversionen modifiziert wurden) sind in der Regel Wegwerfprojekte, für die das Hochrüsten nicht vorgesehen ist.

  3. #3
    Manney is offline Neuer Benutzer
    Themenstarter
    Join Date
    07.03.2017
    Posts
    4
    Danke
    0
    Erhielt 0 Danke für 0 Beiträge

    Default

    Mich verwundert das ganze dann allerdings aus zwei Gründen:

    Die TIA V15.0 Installation ist von der originalen DVD gemacht worden (also nicht von irgendwelchen heruntergeladenen Files) und die Updates wurden ganz normal über den TIA Updater (Update 4) erledigt.
    Bei der V15.0 Installation kann man ja während der Installation unter "Tool" die Openness an- und abwählen.
    Noch dazu wurde von mir (zumindest nie direkt) die Openness Software benötigt bzw. benutzt. Das vorhandene Projekt wurde ausschließlich im TIA V15.0 erstellt, geladen und getestet.

    Warum also benötigt die V15.1 diesen Softwarepart obwohl er nicht mal benutzt wurde?

  4. #4
    Join Date
    16.03.2006
    Location
    Franken
    Posts
    4,479
    Danke
    31
    Erhielt 1,117 Danke für 972 Beiträge

    Default

    Hi,

    und das Projekt wurde ausschließlich und exklusiv nur von Dir auf dem Rechner mit V15.0 genutzt?
    Das Projekt wurde nicht von jemanden anderen mal bearbeitet der Pilotversionen hatte?

    Gruß
    Christoph

  5. #5
    Manney is offline Neuer Benutzer
    Themenstarter
    Join Date
    07.03.2017
    Posts
    4
    Danke
    0
    Erhielt 0 Danke für 0 Beiträge

    Default

    Teile des Projekts wurden aus einer V13SP1 konvertiert. Ca. 30% jedoch auch alles von mir erstellt.
    Der Rest wurde von mir in V15.0 fertiggestellt. Allerdings wurden Teile des Programms vom Kunden beigestellt da dieser eine gesonderte SQL basierte Störmeldeverarbeitung vorbereitet hatte.
    Anzumerken ist vielleicht, dass ich einige Bibliotheken benutzt habe (Beispielsweise die LDrvSafe für SLS und SSM Funktionen von S120 Achsantrieben (Von V14 auf V15 konvertiert da Seitens Siemens keine V15 Version vorhanden war)

    Eventuell liegt da der Hund begraben, da ich nicht weiß, ob seitens Siemens oder vom Kunden mit Pilotversionen gearbeitet wurde...

    Hilft es, wenn ich die besagten Bausteine lösche und es ohne diese nochmal versuche oder hat sich das im Projekt "eingebrannt"?

    EDIT: Gerade ein anderes V15 Programm (ohne "Fremdeinwirkung") probiert. Dort wird die Openness V15 nicht verlangt... Liegt also definitiv am Projekt an sich.

    Gruß
    Manney
    Last edited by Manney; 15.04.2019 at 14:54.

  6. #6
    Join Date
    21.04.2017
    Posts
    24
    Danke
    0
    Erhielt 2 Danke für 2 Beiträge

    Default

    Quote Originally Posted by Manney View Post
    Teile des Projekts wurden aus einer V13SP1 konvertiert. Ca. 30% jedoch auch alles von mir erstellt.
    Der Rest wurde von mir in V15.0 fertiggestellt. Allerdings wurden Teile des Programms vom Kunden beigestellt da dieser eine gesonderte SQL basierte Störmeldeverarbeitung vorbereitet hatte.
    Anzumerken ist vielleicht, dass ich einige Bibliotheken benutzt habe (Beispielsweise die LDrvSafe für SLS und SSM Funktionen von S120 Achsantrieben (Von V14 auf V15 konvertiert da Seitens Siemens keine V15 Version vorhanden war)

    Eventuell liegt da der Hund begraben, da ich nicht weiß, ob seitens Siemens oder vom Kunden mit Pilotversionen gearbeitet wurde...
    Es war auf jeden Fall eine Openness-basierte Applikation. Wenn ich mal tippen müsste, dann würde ich die SQL basierten Störmeldungen dahinter vermuten.
    Edit:
    Oder vllt. die konvertierten Bibliotheken, wenn für das Konvertieren Openness Exportfunktionen verwendet wurden.

    Quote Originally Posted by Manney View Post
    Hilft es, wenn ich die besagten Bausteine lösche und es ohne diese nochmal versuche oder hat sich das im Projekt "eingebrannt"?
    Nein, das Projekt ist auf immer und ewig "gezeichnet", selbst wenn du alles rauslöschst und es praktisch leer ist, wird es nicht hochrüstbar sein.
    Last edited by Jinto; 15.04.2019 at 15:37.

  7. #7
    Manney is offline Neuer Benutzer
    Themenstarter
    Join Date
    07.03.2017
    Posts
    4
    Danke
    0
    Erhielt 0 Danke für 0 Beiträge

    Default

    Prima genau wie ich es vermutet habe. Mal sehen wie ich das ohne große Verluste über Umwege auf die V15.1 hoch bekomme. Spaß sieht auf jeden Fall anders aus...
    Danke für die Antworten.

    Gruß
    Manney

  8. #8
    Join Date
    18.05.2017
    Posts
    169
    Danke
    4
    Erhielt 36 Danke für 23 Beiträge

    Default


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hast du Siemens schon kontaktiert? Evtl. können die das projekt entsprechend "reparierern"

Similar Threads

  1. TIA TIA V15.1 Openness Demo?
    By andyv2016 in forum Simatic
    Replies: 2
    Last Post: 04.04.2019, 07:47
  2. TIA Fehlende Lizens für Upgrate auf TIA V15
    By lejcko in forum Simatic
    Replies: 5
    Last Post: 05.03.2019, 13:05
  3. TIA TIA Portal Openness V15
    By Armin1986 in forum Simatic
    Replies: 8
    Last Post: 08.01.2019, 13:23
  4. TIA Codegenerierung mit TIA Openness V15
    By Shatex in forum Simatic
    Replies: 16
    Last Post: 31.10.2018, 10:38
  5. TIA TIA V15 Openness Namespace fehlt
    By Shatex in forum Simatic
    Replies: 5
    Last Post: 08.08.2018, 10:04

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •